#!/usr/bin/env python

'''
Copyright 2013 Timur Rubeko

This file is part of Cliche.

Cliche is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Cliche is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Cliche.  If not, see <http://www.gnu.org/licenses/>.
'''

import os
import subprocess
import logging


CWD = os.getcwd()


def shell(command_line):
    '''Executes command as a subprocess in new shell environment and logs its output to the default logger'''
    logging.debug('%s $ `%s`' % (CWD, command_line))
    output = subprocess.check_output(command_line, shell=True, stderr=subprocess.STDOUT)
    logging.debug('> ```%s```' % output.strip())
